- [HTTP request](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1p1beta1/organizations.notificationConfigs/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1p1beta1/organizations.notificationConfigs/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1p1beta1/organizations.notificationConfigs/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1p1beta1/organizations.notificationConfigs/list#body.request_body)
- [Response body](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1p1beta1/organizations.notificationConfigs/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1p1beta1/organizations.notificationConfigs/list#body.ListNotificationConfigsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1p1beta1/organizations.notificationConfigs/list#body.aspect)
- [Try it!](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1p1beta1/organizations.notificationConfigs/list#try-it)

Lists notification configs.

### IAM Permissions

Requires the following IAM permission on the resource specified in the `parent` field:

- `securitycenter.notificationconfig.list`

### HTTP request

Choose an endpoint:
global me-central2 us eu   
`GET https://securitycenter.googleapis.com/v1p1beta1/{parent=organizations/*}/notificationConfigs`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. Name of the organization to list notification configs. Its format is "organizations/\[organizationId\]". |

### Query parameters

| Parameters ||
|---|---|
| `pageToken` | `string` The value returned by the last `ListNotificationConfigsResponse`; indicates that this is a continuation of a prior `notificationConfigs.list` call, and that the system should return the next page of data. |
| `pageSize` | `integer` The maximum number of results to return in a single response. Default is 10, minimum is 1, maximum is 1000. |

### Request body

The request body must be empty.

### Response body

Response message for listing notification configs.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "notificationConfigs": [ { object (`https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1p1beta1/organizations.notificationConfigs#NotificationConfig`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `notificationConfigs[]` | ``object (`https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1p1beta1/organizations.notificationConfigs#NotificationConfig`)`` Notification configs belonging to the requested parent. |
| `nextPageToken` | `string` Token to retrieve the next page of results, or empty if there are no more results. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `https://www.googleapis.com/auth/securitycenter`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).